<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('portfolios', function (Blueprint $table) {
            $table->id();
            $table->boolean('is_feature')->nullable();
            $table->string('image')->nullable();
            $table->string('date')->nullable();
            $table->string('solution')->nullable();
            $table->string('title')->nullable();
            $table->text('description')->nullable();
            $table->string('link')->nullable();
            $table->json('slider')->nullable();
            $table->text('main_description')->nullable();
            $table->text('first_description')->nullable();
            $table->text('seconed_description')->nullable();
            $table->text('description_under_slider')->nullable();
            $table->string('key_offer_title')->nullable();
            $table->json('key_offer')->nullable();
            $table->string('more_case_title')->nullable();
            $table->string('book_title')->nullable();
            $table->text('book_description')->nullable();
            $table->string('book_link')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('portfolios');
    }
};
